Base piece type

### Type parameters

- #### DataType = any

### Hierarchy

- IPiece
  - IPieceItem

## Index

### Properties

- data
- id
- name
- node
- type

## Properties

### Optional data

data: DataType

Data of piece, specific to piece type

### id

id: string

Unique piece id

### name

name: string

Human readable piece name

### node

node: HTMLElement

Node which piece controls

### type

type: PieceType

Type of piece

Generated using TypeDoc